#include "kiosk_plugin.h"

Kiosk_plugin::Kiosk_plugin()
{
    name = "webkiosk";
    genericName = "Linutop WebKiosk";
    icon = QIcon("/usr/share/pixmaps/linutop-webkiosk.png");
    command = "linutop-kiosk";
}

QString Kiosk_plugin::getName()
{
    return name;
}

QString Kiosk_plugin::getGenericName()
{
    return genericName;
}

QIcon Kiosk_plugin::getIcon()
{
    return icon;
}

QString Kiosk_plugin::getCommand()
{
    return command;
}

void Kiosk_plugin::getPluginConfig(QVBoxLayout *info)
{
    btn = new QPushButton("configure the Linutop Kiosk");
    if(QLocale::system().name() == "fr_FR"){btn->setText("Configurer Linutop Kiosk");}
    connect(btn,SIGNAL(clicked()),this,SLOT(on_btn_clicked()));
    btn->setMaximumWidth(300);
    QHBoxLayout *layout = new QHBoxLayout();
    layout->addWidget(btn);
    info->addLayout(layout);
}

void Kiosk_plugin::on_btn_clicked()
{
    QProcess::startDetached("gksudo linutop-kiosk-settings");
}
