#ifndef UTILS_H
#define UTILS_H

#include <QDebug>
#define DATADIR "/usr/lib"
#ifdef __arm__
#define CONFFILE "/home/pi/.config/appstarterrc"
#else
#define CONFFILE "/home/linutop/.config/appstarterrc"
#endif
#include <QFile>
#include <QTextStream>
#include <QLabel>
#include <QLineEdit>
#include <QCheckBox>
#include <QIcon>
#include <QFileDialog>
#include <QPushButton>
#include <QDir>
#include <QProcess>

class Utils
{
public:
    Utils();
    static void writeEntry(QString filepath, QString key, QString value, QString group);
    static QString ReadEntry(QString filepath, QString key, QString group);
    static QString getIconTheme();
};

#endif // UTILS_H
